## amrnbenc amrnbenc — Adaptive Multi-Rate Narrow-Band audio encoder |

## Properties

GstAmrnbEncBandMode | band-mode | Read / Write / Construct

## Types and Values

struct | GstAmrnbEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstAmrnbEnc

## Implemented Interfaces

GstAmrnbEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | amrnb
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)8000, channels=(int)1

name | src
direction | source
presence | always
details | audio/AMR, rate=(int)8000, channels=(int)1

## Functions

## Types and Values

### struct GstAmrnbEnc

    struct GstAmrnbEnc;

## Property Details

### The `“band-mode”` property

      “band-mode”                GstAmrnbEncBandMode

Encoding Band Mode (Kbps).

Flags: Read / Write / Construct

Default value: MR122